// SPDX-FileCopyrightText: 2025 Moritz Hanke <hanke@dkrz.de>
//
// SPDX-License-Identifier: BSD-3-Clause

#ifndef ELMER_GRID_H
#define ELMER_GRID_H

void read_grid(
  char const * grid_dir, int rank, int size, int num_parts,
  int * nbr_vertices, int * nbr_cells, int ** num_vertices_per_cell,
  double ** x_vertices, double ** y_vertices,
  int ** cell_ids, int ** vertex_ids, int ** cell_to_vertex);

#endif // ELMER_GRID_H
