// SPDX-FileCopyrightText: 2025 Moritz Hanke <hanke@dkrz.de>
//
// SPDX-License-Identifier: BSD-3-Clause

#ifndef ELMER_COUPLING_H
#define ELMER_COUPLING_H

#include <mpi.h>

#define ELMER_COMP_NAME "elmer"
#define ELMER_GRID_NAME "elmer_grid"

void coupling_init(char const * coupling_config_file, MPI_Comm * elmer_comm);
void coupling_setup(char const * grid_dir, int num_parts);
void coupling_finalize();

#endif // ELMER_COUPLING_H
