// SPDX-FileCopyrightText: 2025 Moritz Hanke <hanke@dkrz.de>
//
// SPDX-License-Identifier: BSD-3-Clause

#ifndef ELMER_ICON_COUPLING_H
#define ELMER_ICON_COUPLING_H

void construct_elmer_icon_coupling(
  int comp_id, int corner_point_id, int cell_point_id);
void construct_elmer_icon_coupling_post_sync(int comm_rank);
void elmer_icon_coupling();
void destruct_elmer_icon_coupling();

#endif // ELMER_ICON_COUPLING_H
